> For the complete documentation index, see [llms.txt](https://docs.complycube.com/documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.complycube.com/documentation/api-reference/core-resources/checks/validate-a-check.md).

# Validate check outcome

### URL

<mark style="color:green;">POST</mark> `https://api.complycube.com/v1/checks/:id/validate`

Validates the outcome of the specified check.\
\
The `outcome` of a check can be changed through validation. For checks of type **standard\_screening\_check** and **extensive\_screening\_check**, this requires confirming or rejecting each of the found matches. For other check types, validation will change the check outcome.

### Headers

<table><thead><tr><th width="303">Name</th><th width="85">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>Content-Type</code><mark style="color:red;">*</mark></td><td>string</td><td>The content-type must always be set to <code>application/json</code>.</td></tr><tr><td><code>Authorization</code><mark style="color:red;">*</mark></td><td>string</td><td>The API <code>live</code> or <code>test</code> key.</td></tr></tbody></table>

### Path parameters

<table><thead><tr><th width="303">Name</th><th width="88">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>id</code><mark style="color:red;">*</mark></td><td>string</td><td>The ID of the check.</td></tr></tbody></table>

### Body

<table><thead><tr><th width="302">Name</th><th width="92">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>outcome</code><mark style="color:red;">*</mark></td><td>string</td><td>The validation outcome. Valid values include:<br>1. <code>confirmed</code><br>2. <code>rejected</code><br>3. <code>attention</code></td></tr><tr><td><code>matchId</code></td><td>string</td><td>The match ID. This is required for AML screening checks (<code>standard_screening_check</code> and <code>extensive_screening_check</code>).</td></tr><tr><td><code>rejectionReasons</code></td><td>array</td><td>The list of rejection reasons. Valid values include:<br>1. <code>document_appears_fake</code><br>2. <code>document_has_expired</code><br>3. <code>document_is_specimen</code><br>4. <code>document_is_blacklisted</code><br>5. <code>document_age_below_threshold</code><br>6. <code>document_misread</code><br><br>This is can only be provided for checks of type <code>document_check</code>.</td></tr><tr><td><code>userSuppliedData</code></td><td>object</td><td>The manually provided document details. This will override the <code>extractedData</code> attribute within a <code>document_check</code>.</td></tr><tr><td><code>comment</code></td><td>string</td><td>A comment that can be associated with the validation. This can be up to 4,000 characters long.</td></tr></tbody></table>

### Examples&#x20;

#### Request

{% tabs %}
{% tab title="cURL" %}

```bash
curl -X POST https://api.complycube.com/v1/checks/{:checkId} \
     -H 'Authorization: <YOUR_API_KEY>' \
     -H 'Content-Type: application/json' \
     -d '{
            "outcome": "rejected",
            "comment": "Upon manual review, the ID appears fake"
        }'
```

{% endtab %}

{% tab title="Node.js" %}

```javascript
const { ComplyCube } = require("@complycube/api");

const complycube = new ComplyCube({ apiKey: "<YOUR_API_KEY>" });

const client = await complycube.check.validate("CHECK_ID", {
  outcome: "rejected",
  comment: "Upon manual review, the ID appears fake"
});
```

{% endtab %}

{% tab title="Python" %}

```python
from complycube import ComplyCubeClient

cc_api = ComplyCubeClient(api_key='<YOUR_API_KEY>')

check = cc_api.checks.validate(
    'CHECK_ID',
    outcome='rejected',
    comment='Upon manual review, the ID appears fake'
)
```

{% endtab %}

{% tab title="PHP" %}

```php
use ComplyCube\ComplyCubeClient;

$ccapi = new ComplyCubeClient('<YOUR_API_KEY>');

$check = $ccapi->checks()->validate('CHECK_ID', [
    'outcome' => 'rejected',
    'comment' => 'Upon manual review, the ID appears fake'
]);
```

{% endtab %}

{% tab title=".NET" %}

```csharp
using ComplyCube.Net;
using ComplyCube.Net.Resources.Checks;

var checkApi = new CheckApi(new ComplyCubeClient("<YOUR_API_KEY>"));

var checkRequest = new CheckOutcomeRequest {
  outcome = "rejected",
  comment = "Upon manual review, the ID appears fake"
};

var checkOutcome = await checkApi.ValidateAsync("CHECK_ID", checkRequest);
```

{% endtab %}
{% endtabs %}

#### Response&#x20;

{% tabs %}
{% tab title="Success (200)" %}

```json
{
    "outcome": "rejected"
}
```

{% endtab %}
{% endtabs %}

#### Request for an AML screening match

{% tabs %}
{% tab title="cURL" %}

```bash
curl -X POST https://api.complycube.com/v1/checks/{:checkId} \
     -H 'Authorization: <YOUR_API_KEY>' \
     -H 'Content-Type: application/json' \
     -d '{
            "matchId": "MATCH_ID",
	          "comment": "Not a match",
	          "outcome": "rejected"
        }'
```

{% endtab %}

{% tab title="Node.js" %}

```javascript
const { ComplyCube } = require("@complycube/api");

const complycube = new ComplyCube({ apiKey: "<YOUR_API_KEY>" });

const client = await complycube.check.validate("CHECK_ID", {
  matchId: "MATCH_ID",
  outcome: "rejected",
  comment: "Not a match"
});
```

{% endtab %}

{% tab title="Python" %}

```python
from complycube import ComplyCubeClient

cc_api = ComplyCubeClient(api_key='<YOUR_API_KEY>')

check = cc_api.checks.validate(
    'CHECK_ID',
    matchId='MATCH_ID',
    outcome='rejected',
    comment='Not a match'
)
```

{% endtab %}

{% tab title="PHP" %}

```php
use ComplyCube\ComplyCubeClient;

$ccapi = new ComplyCubeClient('<YOUR_API_KEY>');

$check = $ccapi->checks()->validate('CHECK_ID', [
    'matchId' => 'MATCH_ID',
    'outcome' => 'rejected',
    'comment' => 'Not a match'
]);
```

{% endtab %}

{% tab title=".NET" %}

```csharp
using ComplyCube.Net;
using ComplyCube.Net.Resources.Checks;

var checkApi = new CheckApi(new ComplyCubeClient("<YOUR_API_KEY>"));

var checkRequest = new CheckOutcomeRequest {
  matchId = "MATCH_ID",
  outcome = "rejected",
  comment = "Not a match"
};

var checkOutcome = await checkApi.ValidateAsync("CHECK_ID", checkRequest);
```

{% endtab %}
{% endtabs %}

#### Response

{% tabs %}
{% tab title="Success (200)" %}

```json
{
    "outcome": "clear"
}
```

{% endtab %}
{% endtabs %}

### Validation per check type

#### Standard and Extensive Screening Checks

| Resulting Check Outcome | Description                                                                                                         |
| ----------------------- | ------------------------------------------------------------------------------------------------------------------- |
| `clear`                 | Upon having **all** matches `rejected`, the outcome will be set to `clear`.                                         |
| `attention`             | The outcome will remain as `attention` unless **all** matches have been `rejected` or a match has been `confirmed`. |
| `match_confirmed`       | When **any** match is `confirmed`, the outcome of the check will be changed to `match_confirmed`.                   |

#### Document and Identity Checks

| Resulting Check Outcome | Description                                                                                          |
| ----------------------- | ---------------------------------------------------------------------------------------------------- |
| `clear`                 | When the validation outcome is set to `confirmed`, the check outcome will be changed to `clear`.     |
| `rejected`              | When the validation outcome is set to `rejected`, the check outcome will be changed to `rejected`.   |
| `attention`             | When the validation outcome is set to `attention`, the check outcome will be changed to `attention`. |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.complycube.com/documentation/api-reference/core-resources/checks/validate-a-check.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
